--- title: "Get image list" slug: "sens-brandmessage-image-list" updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/sens-brandmessage-image-list" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get image list Available in Classic and VPC Get the image list. Note Images are stored for up to one year and are automatically deleted thereafter. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /brandmessage/v2/services/{serviceId}/images | ### Request headers For information about the headers common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service request headers](/docs/en/sens-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Biz Message service ID - See [Get project list](/docs/en/sens-project-list). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageIndex` | Integer | Optional | Page index - 0-N (default: 0) | | `pageSize` | Integer | Optional | Number of items per page - 1-200 (default: 20) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://sens.apigw.ntruss.com/brandmessage/v2/services/ncp:kkobizmsg:kr:27*********6:sens/images?pageIndex=0&pageSize=20' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `items` | Array | - | Image list: [items](/docs/en/sens-brandmessage-image-list#items) | | `pageIndex` | Integer | - | Page index | | `pageSize` | Integer | - | Number of items per page | | `itemCount` | Integer | - | Number of response results | | `hasPrevious` | Boolean | - | Whether previous page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `hasNext` | Boolean | - | Whether next page exists - `true` \| `false` - `true`: It exists. - `false`: It doesn't exist. | | `totalCount` | Integer | - | Total item count | #### `items` The following describes `items`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `imageId` | String | - | Image ID | | `imageUrl` | String | - | Image URL | | `imageType` | String | - | Image file type - See [Image type](/docs/en/sens-brandmessage-image-create#%EC%9D%B4%EB%AF%B8%EC%A7%80%ED%83%80%EC%9E%85). | | `imageName` | String | - | Image file name | | `createTime` | String | - | Image uploading time | ### Response status codes For information about the HTTP status codes common to all Simple & Easy Notification Service APIs, see [Simple & Easy Notification Service response status codes](/docs/en/sens-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "items": [ { "imageId": "5b19970c-****-****-****-c8ec1cd8f37e", "imageUrl": "https://mud-kage.kakao.com/dn/dhkJRb/***********/**********************/img_l.jpg", "imageType": "BASIC", "imageName": "myImage.jpg", "createTime": "2025-11-27T17:29:06.253" } ], "pageIndex": 0, "pageSize": 20, "itemCount": 1, "hasPrevious": false, "hasNext": false, "totalCount": 1 } ```